Thomas P.

[1.6.1-2 + Backports] Kopernicus & KittopiaTech

Recommended Posts

2 minutes ago, Thomas P. said:

In fact I just didn't have enough time and motivation to work on Kopernicus until my holidays started.

The changes that were needed for Kopernicus were actually pretty minor ones.

Ah ok. If you need help let me know. I got a 3 day weekend :)

Share this post


Link to post
Share on other sites
26 minutes ago, Thomas P. said:

In fact I just didn't have enough time and motivation to work on Kopernicus until my holidays started.

The changes that were needed for Kopernicus were actually pretty minor ones.

Hmmmm.... were needed? :)

  • Like 1

Share this post


Link to post
Share on other sites
37 minutes ago, Thomas P. said:

In fact I just didn't have enough time and motivation to work on Kopernicus until my holidays started.

The changes that were needed for Kopernicus were actually pretty minor ones.

Ah gotcha - I've had a number of long hiatuses from KSP since I started modding (if you can call it that) and as much as I hate to say it I know how awful it can be to work on a project you've got no motivation for. Take all the time you need :)

  • Like 1

Share this post


Link to post
Share on other sites
12 hours ago, wobbleynoodlespacecraft said:

does it work for KSP 1.4/1.4.1/1.4.2?

Nein

Share this post


Link to post
Share on other sites
13 hours ago, wobbleynoodlespacecraft said:

does it work for KSP 1.4/1.4.1/1.4.2?

Not yet, but a Kopernicus update to KSP version 1.4.2 specifically is likely to release in a matter of hours.

Edited by The White Guardian

Share this post


Link to post
Share on other sites
3 minutes ago, The White Guardian said:

Not yet, but a Kopernicus update to KSP version 1.4.2 specifically is likely to release in a matter of hours.

You actually posted like 1 minute after I hit the button. ^^

 

Kopernicus 1.4.2-1 has been released!

Changelog:

- Updated for KSP 1.4.2
- Added a way to deform rings, you can add two curves called InnerRadiusMultiplier and OuterRadiusMultiplier to the ring config (the keys are degrees)
- Fixed a bug that prevented editing an AtmosphereFromGround on cbNameLater bodies
- Changed starlight so it is affected by bodies that block the star in flight mode
- Fixed the clipping orbit lines differently than last time
- Removed the broken and unuseable PQSCity loaders. 

 

  • Like 29

Share this post


Link to post
Share on other sites
1 hour ago, Thomas P. said:

You actually posted like 1 minute after I hit the button. ^^

 

Kopernicus 1.4.2-1 has been released!

Changelog:


- Updated for KSP 1.4.2
- Added a way to deform rings, you can add two curves called InnerRadiusMultiplier and OuterRadiusMultiplier to the ring config (the keys are degrees)
- Fixed a bug that prevented editing an AtmosphereFromGround on cbNameLater bodies
- Changed starlight so it is affected by bodies that block the star in flight mode
- Fixed the clipping orbit lines differently than last time
- Removed the broken and unuseable PQSCity loaders. 

 

YESSSSSSSS!!!

Thank you!

Edited by demibear

Share this post


Link to post
Share on other sites
1 hour ago, Thomas P. said:

Kopernicus 1.4.2-1 has been released!

WOOOOOHOOOOO!!!! This just made my whole weekend!!! 

Thank you!!!  :D

  • Like 1

Share this post


Link to post
Share on other sites
1 hour ago, Thomas P. said:

 


- Removed the broken and unuseable PQSCity loaders. 

 

If you noticed in the logs:

[LOG 07:50:57.750] [PQSCity2]: Height Correction: WoomerangLaunchSite -40.9722595214844
[LOG 07:50:57.750] [PQSCity2]: Failed to Hit surface to place PQSCity: Larkes
[LOG 07:50:57.750] [PQSCity2]: Height Correction: Larkes 0

So it would seem there is a new PQSCity.

Share this post


Link to post
Share on other sites

Well, other mods can still use the PQSMods (including KSP), but Kopernicus won't try to parse them from a config anymore.

Juding from the tag and the name of the mod, thats KSP in combination with MH producing those messages, not Kopernicus

Share this post


Link to post
Share on other sites
Just now, njbrown09 said:

Just a heads up, ckan wont install the latest version

 

Because CKAN doesn't update instantly. It needs some time to index new versions.

Share this post


Link to post
Share on other sites
5 minutes ago, Thomas P. said:

Because CKAN doesn't update instantly. It needs some time to index new versions.

CKAN shows the latest 1.4.2 version, but wont let you install it.

Share this post


Link to post
Share on other sites

As it seems, MFI isn't marked as compatible with 1.4 on CKAN yet. Kopernicus depends on MFI, so the installation fails

Edited by Thomas P.
  • Like 1

Share this post


Link to post
Share on other sites
2 minutes ago, Thomas P. said:

As it seems, MFI isn't marked as compatible with 1.4 on CKAN yet. Kopernicus depends on MFI, so the installation fails

ok.

Share this post


Link to post
Share on other sites

The original dll works just fine, and I would rather use sarbians builds instead of unofficial recompiles.

Thanks for the link though, didn't know that that existed.

  • Like 2

Share this post


Link to post
Share on other sites

Thats a realy nice easter present @Thomas.P

Thanks a lot and happy easter to all

 

btw if anybody know how to activate footprints with this version please let me know thx

Share this post


Link to post
Share on other sites
3 hours ago, Thomas P. said:

As it seems, MFI isn't marked as compatible with 1.4 on CKAN yet.

Should it be? I'm having some trouble tracking down MFI's compatibility info. The thread seems to say KSP 1.2.2.

 

Share this post


Link to post
Share on other sites
Just now, HebaruSan said:

Should it be? I'm having some trouble tracking down MFI's compatibility info. The thread seems to say KSP 1.2.2.

 

I think it should be compatible. AFAIK sarbian just never bothered to make another release because it kept working in 1.3 and 1.4.

  • Like 2

Share this post


Link to post
Share on other sites
Just now, Thomas P. said:

I think it should be compatible. AFAIK sarbian just never bothered to make another release because it kept working in 1.3 and 1.4.

Thanks. Has he officially said that? I wouldn't want to cause support requests from CKAN users if it's not something he intends to support.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now